Themes

Update theme (whole definition)

put
https://api.typeform.com/themes/{theme_id}

Updates a theme in your Typeform account. NOTE: You can't change Typeform's public themes (the built-in themes that are available in all accounts). This endpoint is meant for receiving a full theme payload. The theme definition you provide will overwrite any existing theme with the same ID, even if that means overwriting fields with default values. For partial updates, use the PATCH endpoint.

Request

Path Parameters

theme_id
string, required

Unique ID for the theme.

Request Body

background Path 3
object

Settings for the background.

brightness
number

Brightness for the background. -1 is least bright (minimum) and 1 is most bright (maximum).

href
string

Background image URL.

layout
string
Valid values:fullscreenrepeatno-repeat
Default:fullscreen

Layout for the background.

colors Path 3
object

Colors the theme will apply to answers, background, buttons, and questions.

answer
string, required
Default:#4FB0AE

Color the theme will apply to answers. Hexadecimal value.

background
string, required
Default:#FFFFFF

Color the theme will apply to the background. Hexadecimal value.

button
string, required
Default:#4FB0AE

Color the theme will apply to buttons. Hexadecimal value.

question
string, required
Default:#3D3D3D

Color the theme will apply to questions. Hexadecimal value.

fields Path 3
object

Defines font size and alignment for fields.

alignment
string, required
Valid values:leftcenter
Default:left

Fields alignment

font_size
string, required
Valid values:smallmediumlarge
Default:medium

Fields font size

font
string
Valid values:AcmeArialArvoAvenir NextBangersCabinCabin CondensedCourierCrete RoundDancing ScriptExoGeorgiaHandleeHelvetica NeueKarlaLatoLektonLobsterLoraMcLarenMontserratNixie OneOld Standard TTOpen SansOswaldPlayfair DisplayQuicksandRalewaySignikaSnigletSource Sans ProVollkorn
Default:Source Sans Pro

Font for the theme.

has_transparent_button
boolean

true if buttons should be transparent. Otherwise, false.

name
string

Name for the theme.

origin
string
Valid values:newduplicateauto-branding

How this theme was created. new indicates the theme was created from scratch. duplicate indicates the theme was created by duplicating an existing theme. auto-branding indicates the theme was automatically created via the auto-branding feature.

rounded_corners
string
Valid values:nonesmalllarge
Default:small

Specifies border radius style of buttons and other elements in the form.

screens Path 3
object

Defines font size and alignment for welcome and thankyou screens.

alignment
string, required
Valid values:leftcenter
Default:center

Screen alignment

font_size
string, required
Valid values:smallmediumlarge
Default:small

Screen font size

source_theme_id
string

ID of the source theme this theme was derived from. Required when origin is duplicate, and must not be provided otherwise. The referenced theme must exist.

Response

Status

200 OK

Schema

background Path 3
object

Settings for the background.

brightness
number

Brightness for the background. -1 is least bright (minimum) and 1 is most bright (maximum).

href
string

Background image URL.

layout
string
Valid values:fullscreenrepeatno-repeat
Default:fullscreen

Layout for the background.

colors Path 3
object

Colors the theme will apply to answers, background, buttons, and questions.

answer
string

Color the theme will apply to answers. Hexadecimal value.

background
string

Color the theme will apply to background. Hexadecimal value.

button
string

Color the theme will apply to buttons. Hexadecimal value.

question
string

Color the theme will apply to questions. Hexadecimal value.

fields Path 3
object

Defines font size and alignment for fields.

alignment
string
Valid values:leftcenter
Default:left

Fields alignment

font_size
string
Valid values:smallmediumlarge
Default:medium

Fields font size

font
string
Valid values:AcmeArialArvoAvenir NextBangersCabinCabin CondensedCourierCrete RoundDancing ScriptExoGeorgiaHandleeHelvetica NeueKarlaLatoLektonLobsterLoraMcLarenMontserratNixie OneOld Standard TTOpen SansOswaldPlayfair DisplayQuicksandRalewaySignikaSnigletSource Sans ProVollkorn
Default:Source Sans Pro

Font for the theme.

has_transparent_button
boolean

true if buttons should be transparent. Otherwise, false.

id
string

Unique ID of the theme.

name
string

Name of the theme.

origin
string
Valid values:newduplicateauto-branding

How this theme was created. new indicates the theme was created from scratch. duplicate indicates the theme was created by duplicating an existing theme. auto-branding indicates the theme was automatically created via the auto-branding feature.

rounded_corners
string
Valid values:nonesmalllarge
Default:small

Specifies border radius style of buttons and other elements in the form.

screens Path 3
object

Defines font size and alignment for welcome and thankyou screens.

alignment
string
Valid values:leftcenter
Default:center

Screen alignment

font_size
string
Valid values:smallmediumlarge
Default:small

Screen font size

source_theme_id
string

ID of the source theme this theme was derived from. Required when origin is duplicate, and must not be provided otherwise. The referenced theme must exist.

visibility
string
Valid values:publicprivatepremium
Default:private

Specifies whether the theme is public (one of Typeform's built-in themes that are available in all accounts), premium (a premium built-in theme), or private (a theme you created). You can only change private themes.

Example

{
  "background": {
    "brightness": -0.59,
    "image_id": 987,
    "layout": "fullscreen"
  },
  "colors": {
    "answer": "#800000",
    "background": "#FFFFFF",
    "button": "#808080",
    "question": "#000000"
  },
  "fields": {
    "alignment": "left",
    "font_size": "medium"
  },
  "font": "Arial",
  "has_transparent_button": false,
  "id": 456,
  "name": "My theme",
  "rounded_corners": "small",
  "screens": {
    "alignment": "center",
    "font_size": "small"
  },
  "visibility": "private"
}